/**
 * @file
 * products.
 */

.products {
  padding: rem(100) 0;
  @include media-breakpoint-down(sm) {
    padding: rem(40) 0 rem(20);
  }
  div[class*="col-"] {
    flex-wrap: wrap;
    @include flex()
  }
  &__items {
    width: 100%;
    padding: rem(10);
    background-color: $white;
    -webkit-box-shadow: 0px 2px 20px -2px rgba($black,0.46);
    -moz-box-shadow: 0px 2px 20px -2px rgba($black,0.46);
    box-shadow: 0px 2px 20px -2px rgba($black,0.46);
    @include border-radius(5px);

    figure {
      margin: 0;
      padding: rem(18);
      background-color: #f3f3f3;
    }
    img {
      display: block;
      width: rem(165);
      max-width: 100%;
      height: auto;
      margin: auto;
    }

    &__content {
      padding: rem(20) rem(15);
      h4 {
        color: $blue;
        line-height: rem(25);
        text-transform: uppercase;
        font-weight: 600;
        min-height: rem(50);
        @include fontSize(18);
      }

      p {
        margin-bottom: rem(10);
        line-height: rem(25);
        @include fontSize(14);
      }

      a {
        i {
          font-weight: normal;
          margin-left: rem(5);
        }
      }
    }
  }
}

.custom__tab {
  .nav {
    margin-bottom: rem(40);
    
    @include media-breakpoint-up (lg) {
      border-bottom: rem(2) solid $yellow;
    }

    &-item {
      margin-bottom: 0;

      a {
        border: none;
        padding: rem(10) rem(20);
        text-transform: uppercase;

        @include relative();
      }

      @include media-breakpoint-down(md) {
        width: 100%;
        text-align: center;
        border-bottom: 0.125rem solid $yellow;
      }
    }

    &-link {
      &.active,
      &:hover {
        color: $blue;

        &:before {
          content: '';
          width: 100%;
          height: rem(2);
          background-color: $blue;

          @include absolute(bottom -2px right 0 left 0);
        }
      }
    }
  }

  .tab-pane {
    h2 {
      color: $blue;
      font-weight: 600;
      margin-bottom: rem(20);
      text-transform: uppercase;
      text-decoration: underline;

      @include fontSize(22);
    }
  }
}
.side-bar {
  width: 100%;
  border: 1px solid rgba($gray-400, 0.4);
  &-title {
    background-color: $orange;
    color: $white;
    padding: rem(8);
  }
  ul {
    padding: 0;
    margin: 0;
    list-style: none;
    li {
      list-style: none;
      margin: 0;
      padding-top: 0;
    }
    a {
      display: block;
      text-decoration: none;
      padding: rem(6) rem(12) rem(6) rem(26);
      border-bottom: 1px solid rgba($gray-400, 0.4);
      transition: none;
      @include fontSize(14);
      @include relative;
      &:after {
        content: '';
        border-right: 1px solid ;
        border-bottom: 1px solid;
        transform: rotate(-45deg);
        width: rem(8);
        height: rem(8);
        display: block;
        @include absolute(top 16px left 8px);
      }
      &:hover {
        background-color: $orange;
        color: $white;
        transition: none;
      }
    }
    ul {
      overflow: hidden;
      padding-left: rem(16);
      transition: max-height 250ms ease-in-out;
    }
  }
}
